Skip to main content

Tap-Initiated Sale for Mastercard Debt Recovery


Use this information to process a tap-initiated sale for Mastercard debt recovery. When a cardholder attempts to use a blocked card at the transit reader, create a new debt recovery sale request using the chip data from the new tap, along with the fare amount of the previous declined authorization.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "comments": "TransitDA Debt recovery tap sale",        "code": "10000575MC",        "transactionId": "20000575MC",        "partner": {            "thirdPartyCertificationNumber": "BPCDRC220403",            "solutionId": "548UHQ8Z"        }    },    "processingInformation": {        "industryDataType": "transit",        "commerceIndicator": "retail",        "capture": "true",        "captureOptions": {            "dateToCapture": "0425"        },        "authorizationOptions": {            "authIndicator": "1",            "debtRecoveryIndicator": "true",            "transportationMode": "00"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "EUR"        }    },    "paymentInformation": {        "card": {            "type": "002"        },        "initiationChannel": "00"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0",        "emv": {            "tags": "5F2A0209768407A00000000410109F360200039F03060000000000009C01005F3401019F10120110A0000F040000000000000000000000FF9F33030008C89A032204259F2608093A260A58500E949F2701809F020600000000010082021B809F34033F00029F1A0209769F37046F4D8104950500200000019F6E06005601023030"        },        "trackData": ";5413XXXXXXXXXXXX=49122010123456789?",        "serviceCode": "201"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/payments/650887802747651300400"        }    },    "clientReferenceInformation": {        "code": "10000575MC",        "partner": {           "solutionId": "548UHQ8Z"        },        "transactionId": "20000575MC"    },    "errorInformation": {        "reason": "PROCESSOR_DECLINED",        "message": "Decline - General decline of the card. No other information provided by the issuing bank."    },    "id": "650887802747651300400",    "pointOfSaleInformation": {        "emv": {            "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"        }    },    "processorInformation": {        "systemTraceAuditNumber": "162956",        "networktransactionId": "016153570198200",        "retrievalReferenceNumber": "211511162956",        "transactionId": "016153570198200",        "responseCode": "05",        "avs": {            "code": "2"        }    },    "status": "DECLINED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA Debt recovery tap sale.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
paymentInformation.initiationChannelSet this field to 00.
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.serviceCode
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet this field to 1.
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.transportationMode
processingInformation.captureSet this field to true.
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.

Last published: September 29, 2026